package chickins

import (
	// m "gitlab.com/mbugroup/lti-api.git/internal/middleware"
	controller "gitlab.com/mbugroup/lti-api.git/internal/modules/production/chickins/controllers"
	chickin "gitlab.com/mbugroup/lti-api.git/internal/modules/production/chickins/services"
	user "gitlab.com/mbugroup/lti-api.git/internal/modules/users/services"

	"github.com/gofiber/fiber/v2"
)

func ChickinRoutes(v1 fiber.Router, u user.UserService, s chickin.ChickinService) {
	ctrl := controller.NewChickinController(s)

	route := v1.Group("/chickins")

	// route.Get("/", m.Auth(u), ctrl.GetAll)
	// route.Post("/", m.Auth(u), ctrl.CreateOne)
	// route.Get("/:id", m.Auth(u), ctrl.GetOne)
	// route.Patch("/:id", m.Auth(u), ctrl.UpdateOne)
	// route.Delete("/:id", m.Auth(u), ctrl.DeleteOne)

	route.Get("/", ctrl.GetAll)
	route.Post("/", ctrl.CreateOne)
	route.Get("/:id", ctrl.GetOne)
	route.Patch("/:id", ctrl.UpdateOne)
	route.Delete("/:id", ctrl.DeleteOne)
	route.Post("/:id/approve", ctrl.Approve)
}
